VERSION 5.00
Begin VB.Form frmProperties 
   BorderStyle     =   4  'Festes Werkzeugfenster
   Caption         =   "..: Properties :.."
   ClientHeight    =   3750
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   3000
   ControlBox      =   0   'False
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmProperties.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   250
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   200
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.Frame fraMoveX 
      Caption         =   "Step width:"
      Height          =   735
      Left            =   120
      TabIndex        =   10
      Top             =   1440
      Width           =   1695
      Begin VB.TextBox txtStepX 
         Alignment       =   2  'Zentriert
         Height          =   285
         Left            =   120
         TabIndex        =   11
         Text            =   "50"
         Top             =   360
         Width           =   495
      End
      Begin VB.Label lblInfo 
         Caption         =   "Pixel"
         Height          =   255
         Left            =   720
         TabIndex        =   12
         Top             =   405
         Width           =   855
      End
   End
   Begin VB.Frame fraSpeed 
      Caption         =   "Heros' speed:"
      Height          =   1215
      Left            =   120
      TabIndex        =   3
      Top             =   2400
      Width           =   2775
      Begin VB.OptionButton optSpeed 
         Caption         =   "ultra fast"
         Height          =   255
         Index           =   5
         Left            =   1560
         TabIndex        =   9
         Top             =   840
         Width           =   1095
      End
      Begin VB.OptionButton optSpeed 
         Caption         =   "very fast"
         Height          =   255
         Index           =   4
         Left            =   1560
         TabIndex        =   6
         Top             =   600
         Width           =   1095
      End
      Begin VB.OptionButton optSpeed 
         Caption         =   "fast"
         Height          =   255
         Index           =   3
         Left            =   1560
         TabIndex        =   8
         Top             =   360
         Width           =   615
      End
      Begin VB.OptionButton optSpeed 
         Caption         =   "medium"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   5
         Top             =   840
         Value           =   -1  'True
         Width           =   855
      End
      Begin VB.OptionButton optSpeed 
         Caption         =   "slow"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   7
         Top             =   600
         Width           =   615
      End
      Begin VB.OptionButton optSpeed 
         Caption         =   "very slow"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   4
         Top             =   360
         Width           =   1095
      End
   End
   Begin VB.CommandButton cmdMenu 
      Caption         =   "&Exit"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Index           =   2
      Left            =   1920
      TabIndex        =   2
      Top             =   1320
      Width           =   975
   End
   Begin VB.CommandButton cmdMenu 
      Caption         =   "&Abort"
      Height          =   375
      Index           =   1
      Left            =   1920
      TabIndex        =   1
      Top             =   600
      Width           =   975
   End
   Begin VB.CommandButton cmdMenu 
      Caption         =   "&Save"
      Height          =   375
      Index           =   0
      Left            =   1920
      TabIndex        =   0
      Top             =   120
      Width           =   975
   End
End
Attribute VB_Name = "frmProperties"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'**************************************************
'* Date   : 08/22/2002                            *
'* Name   : Matthias Bartelt                      *
'* Changed: 08/22/2002                            *
'* Info   : Properties.                           *
'**************************************************

'Variables must be declared
Option Explicit


'**************************************************
'*------------------------------------------------*
'*------------------DECLARATIONS------------------*
'*------------------------------------------------*
'**************************************************

'*** Classes




'**************************************************
'*------------------------------------------------*
'*-----------------FUNCTIONS/SUBS-----------------*
'*------------------------------------------------*
'**************************************************

Private Sub Form_Load()
'**************************************************
'* Changed     : 08/22/2002                       *
'* Info        : When the form loads.             *
'**************************************************

    'Get the step width
    txtStepX.Text = CHero.gStepX

    'Select the right OptionButton
    Select Case CHero.gSpeed
        Case enmVERYSLOW
            optSpeed(0).Value = True
        Case enmSLOW
            optSpeed(1).Value = True
        Case enmMEDIUM
            optSpeed(2).Value = True
        Case enmFAST
            optSpeed(3).Value = True
        Case enmVERYFAST
            optSpeed(4).Value = True
        Case enmULTRAFAST
            optSpeed(5).Value = True
    End Select
        
End Sub

Private Sub cmdMenu_Click(Index As Integer)
'**************************************************
'* Changed     : 08/22/2002                       *
'* Info        : Button pressed.                  *
'**************************************************
    
    'Save the settings
    Select Case Index
        Case 0 'Save
            Call sSaveSettings
            Unload Me
        Case 1 'Abort
            Unload Me
        Case 2 'Exit
            'Stop moving the form
            CHero.sStopMoving
            'Unload the object
            Set CHero = Nothing
            Set CSystem = Nothing
            'Exit
            End
    End Select

End Sub

Private Sub sSaveSettings()
'**************************************************
'* Changed     : 08/22/2002                       *
'* Info        : Save the settings.               *
'**************************************************
    
    With CHero
        'Save the step width
        .gStepX = txtStepX.Text
    
        'Save the speed into the hero class
        If (optSpeed(0).Value) Then
            .gSpeed = enmVERYSLOW
        ElseIf (optSpeed(1).Value) Then
            .gSpeed = enmSLOW
        ElseIf (optSpeed(2).Value) Then
            .gSpeed = enmMEDIUM
        ElseIf (optSpeed(3).Value) Then
            .gSpeed = enmFAST
        ElseIf (optSpeed(4).Value) Then
            .gSpeed = enmVERYFAST
        ElseIf (optSpeed(5).Value) Then
            .gSpeed = enmULTRAFAST
        End If
    End With

End Sub

